import org.jetbrains.kotlin.gradle.tasks.KotlinCompile
import com.anthonycicchetti.financetracker.DependencyVersions

plugins {
    `java-library`
    kotlin("jvm")
}

group = "com.anthonycicchetti.financetracker"
version = "0.1.0"

repositories {
    mavenCentral()
    google()
    jcenter()
}

dependencies {
    api("com.fasterxml.jackson.module:jackson-module-kotlin:${DependencyVersions.Jackson}")

    testImplementation("org.junit.jupiter:junit-jupiter-api:${DependencyVersions.Jupiter}")
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine:${DependencyVersions.Jupiter}")
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

tasks.named<Test>("test"){
    useJUnitPlatform()
}